# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl).
from odoo import fields, models


class AccUpdatePriceConfWizard(models.TransientModel):
    _name = "acc.update.price.conf.wizard"
    _description = "Mise à jour des prix wizard"

    price = fields.Float("Tarif à mettre à jour", digits="Sale Price")

    def update_price(self):
        acc_price_ids = self.env["acc.price.conf"].browse(
            self._context.get("active_ids")
        )
        for price in acc_price_ids:
            price.price = self.price
